/*
   
 $1 - UserId  -  
 $2 - WellId  -  
 $3 - DFrom  \
 $4 - DTo     \
 $5 - VFrom    \        
 $6 - VTo      /     3 .    null
 $7 - TFrom   /
 $8 - TTo    /
 $9 - Params  -    
*/
WITH rows AS (
 UPDATE dcdm_welllog SET userid=$1, isold=true
 WHERE wellid=$2 AND paramname=any(string_to_array($9,','))
 and ($3::float8 is null or ($3::float8 is not null and depth between $3::float8 and $4::float8))
 and ($5::float8 is null or ($5::float8 is not null and vdepth between $5::float8 and $6::float8))
 and ($7::timestamp is null or ($7::timestamp is not null and time between $7::timestamp and $8::timestamp))
 RETURNING 1
) select count(*) from rows;
