/*
    
$1 - 
$2 -  
$3 -  
*/
SELECT wellid,id, type as param,
       case when depth is not null then 'depth'
            when vdepth is not null then 'vdepth'
			when "time" is not null then 'time' end as type,
	   case when depth is not null then lower(depth)
			when vdepth is not null then lower(vdepth)
			when "time" is not null then date_part('epoch',lower("time")::timestamptz) end as from,	   
	   case when depth is not null then upper(depth)
			when vdepth is not null then upper(vdepth)
			when "time" is not null then date_part('epoch',upper("time")::timestamptz) end as to,
	   code
FROM dcdm_markers
where id=$3 and wellid=$1 and type=$2;
