/*
   
$1 -  (  0 -  , 1 -  , 2 -  , 3 -   )
*/
select dcdm_vars.groupid,dcdm_vargroups.name as grpname, dcdm_vars.sysname,dcdm_vars.description
from dcdm_vars 
left outer join dcdm_vargroups on dcdm_vargroups.id=dcdm_vars.groupid
where dcdm_vars.isexternal=true and (
      $1=0 
      or ($1=1 and dcdm_vargroups.iswidget=true)
      or ($1=2 and dcdm_vargroups.isimport=true)
      or ($1=3 and dcdm_vargroups.isipoint=true))
order by dcdm_vars.groupid NULLS first,dcdm_vars.sysname;
