/*
   
 $1 -  
 $2 - 
*/
select s.paramname, s.val,s.isdef from
((
 select  DISTINCT ON (1) 1 as pos,paramname, val,0 as isdef
  FROM dcdm_welllog
 where (isnew is null or isnew=false) and depth is null and vdepth is null and time is null and wellid=$1 and paramname=$2
 order by 1,id desc limit 1
)
union all
(
 SELECT 2 as pos, key as paramname, data::jsonb as val,1 as isdef FROM dcdm_config where key=$2
)) as s order by pos limit 1;
