/*
    

$1 -    null  
$2 -  v, d  t
$3 -    
$4 -  
*/

SELECT dcdm_well.name as w, 
       dcdm_welllog.userid as uid,
       dcdm_users.name as un, 
       dcdm_welllog.mode as m,
       dcdm_welllog.time as t, 
       dcdm_welllog.depth as d, 
       dcdm_welllog.vdepth as v,
       dcdm_welllog.paramname as p, 
       dcdm_welllog.val as val, 
       dcdm_welllog.isold as o, 
       dcdm_welllog.isnew as n
FROM dcdm_welllog
     inner join dcdm_well on dcdm_well.id=dcdm_welllog.wellid
	  inner join dcdm_users on dcdm_users.id=dcdm_welllog.userid
where ($1::int is null or ($1::int is not null and dcdm_welllog.userid=$1::int)) and (dcdm_welllog.isold=true or dcdm_welllog.isnew=true)
order by case $2 when 'v' then dcdm_welllog.vdepth end
,case $2 when 'd' then dcdm_welllog.depth end
,case $2 when 't' then dcdm_welllog.time end
,dcdm_welllog.paramname
limit $3 offset $4;